/**
 * @module Logger
 */

/**
 * This function logs a single generator task.
 * @param {string} taskName
 */
exports.logTask = function (taskName) {
  console.log('\x1b[35m', `--> TASK : ${taskName}`, '\x1b[0m')
}

/**
 * This function logs the informations about a task or a single action.
 * @param {string} infoDescription
 */
exports.logInfo = function (infoDescription) {
  console.log('\x1b[36m', `--> INFO : ${infoDescription}`, '\x1b[0m')
}

/**
 * This function logs the initialization of an action.
 * @param {string} actionName
 */
exports.logActionInit = function (actionName) {
  console.log('\x1b[33m', `--> INIT : ${actionName}...`, '\x1b[0m')
}

/**
 * This function logs the end of an action.
 * @param {string} actionName
 */
exports.logActionEnd = function (actionName) {
  console.log('\x1b[32m', `--> END: ${actionName} 🎉 `, '\x1b[0m')
}

/**
 * This function logs an error.
 * @param {string} errorDescription
 */
exports.logError = function (errorDescription) {
  console.log('\x1b[31m', `--> ERROR  : ${errorDescription}!`, '\x1b[0m')
}
